Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.core
Class AProp

    java.lang.Object
      org.basex.core.AProp

Direct Known Subclasses:
  GUIProp, Prop

    public abstract class AProp

extends java.lang.Object

This class assembles properties which are used all around the project. They are initially read from and finally written to disk.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Constructor Summary
`AProp(java.lang.String prop)` Constructor.

Method Summary
`java.lang.String` | `get(java.lang.Object[] key)` Returns the requested string.
`boolean` | `invert(java.lang.Object[] key)` Inverts a boolean property.
`boolean` | `is(java.lang.Object[] key)` Returns the requested boolean.
`int` | `num(java.lang.Object[] key)` Returns the requested integer.
`int[]` | `nums(java.lang.Object[] key)` Returns the requested integer array.
`java.lang.Object` | `object(java.lang.String key)` Returns the requested object.
`void` | `set(java.lang.Object[] key, boolean val)` Sets the specified boolean for the specified key.
`void` | `set(java.lang.Object[] key, int val)` Sets the specified integer for the specified key.
`void` | `set(java.lang.Object[] key, int[] val)` Sets the specified integer array for the specified key.
`void` | `set(java.lang.Object[] key, java.lang.String val)` Sets the specified value for the specified key.
`void` | `set(java.lang.Object[] key, java.lang.String[] val)` Sets the specified string array for the specified key.
`void` | `set(java.lang.String key, java.lang.Object val)` Sets the specified value for the specified key.
`java.lang.String[]` | `strings(java.lang.Object[] key)` Returns the requested string array.
`void` | `write()` Writes the properties to disk.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AProp

    public AProp(java.lang.String prop)

  Constructor. Reads the configuration file and initializes the project properties. The file is located in the user's home directory.

  Parameters:
    `prop` - property file

Method Detail

### write

    public void write()

  Writes the properties to disk.

### object

    public java.lang.Object object(java.lang.String key)

  Returns the requested object.

  Parameters:
    `key` - key to be found
  Returns:
    value

### get

    public java.lang.String get(java.lang.Object[] key)

  Returns the requested string.

  Parameters:
    `key` - key to be found
  Returns:
    value

### num

    public int num(java.lang.Object[] key)

  Returns the requested integer.

  Parameters:
    `key` - key to be found
  Returns:
    value

### is

    public boolean is(java.lang.Object[] key)

  Returns the requested boolean.

  Parameters:
    `key` - key to be found
  Returns:
    value

### strings

    public java.lang.String[] strings(java.lang.Object[] key)

  Returns the requested string array.

  Parameters:
    `key` - key to be found
  Returns:
    value

### nums

    public int[] nums(java.lang.Object[] key)

  Returns the requested integer array.

  Parameters:
    `key` - key to be found
  Returns:
    value

### set

    public void set(java.lang.Object[] key,
                    java.lang.String val)

  Sets the specified value for the specified key.

  Parameters:
    `key` - key to be found
    `val` - value to be written

### set

    public void set(java.lang.Object[] key,
                    int val)

  Sets the specified integer for the specified key.

  Parameters:
    `key` - key to be found
    `val` - value to be written

### set

    public void set(java.lang.Object[] key,
                    boolean val)

  Sets the specified boolean for the specified key.

  Parameters:
    `key` - key to be found
    `val` - value to be written

### set

    public void set(java.lang.Object[] key,
                    java.lang.String[] val)

  Sets the specified string array for the specified key.

  Parameters:
    `key` - key to be found
    `val` - value to be written

### set

    public void set(java.lang.Object[] key,
                    int[] val)

  Sets the specified integer array for the specified key.

  Parameters:
    `key` - key to be found
    `val` - value to be written

### set

    public void set(java.lang.String key,
                    java.lang.Object val)

  Sets the specified value for the specified key.

  Parameters:
    `key` - key to be found
    `val` - value to be written

### invert

    public boolean invert(java.lang.Object[] key)

  Inverts a boolean property.

  Parameters:
    `key` - key
  Returns:
    new value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD